<!DOCTYPE html>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" lang="en-us" xml:lang="en-us" class="no-feedback" data-mc-search-type="Stem" data-mc-help-system-file-name="index.xml" data-mc-path-to-help-system="../../" data-mc-target-type="WebHelp2" data-mc-runtime-file-type="Topic" data-mc-preload-images="false" data-mc-in-preview-mode="false" data-mc-toc-path="Administration">
    <head>
        <meta charset="utf-8" />
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><title>Managing Metasploit</title>
        
        <link href="../../Skins/Default/Stylesheets/TextEffects.css" rel="stylesheet" />
        <link href="../../Skins/Default/Stylesheets/Topic.css" rel="stylesheet" />
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" />
        <script src="../../Resources/Scripts/jquery.min.js">
        </script>
        <script src="../../Resources/Scripts/plugins.min.js">
        </script>
        <script src="../../Resources/Scripts/MadCapAll.js">
        </script>
    </head>
    <map id="map1" name="map1">
        <area shape="rectangle" coords="840,44,1093,87" href="http://www.rapid7.com/products/metasploit/download.jsp" target="_blank" />
        <area shape="rectangle" coords="1107,48,1211,80" href="http://www.rapid7.com/products/metasploit/" target="_blank" />
    </map>
    <body>
        <p class="MCWebHelpFramesetLink MCWebHelpFramesetLinkTop" style="display: none;"><a href="../../index.html#04-administration/managing-metasploit.html">Open topic with navigation</a>
        </p>
        <h1>Managing Metasploit</h1>
        <p>As an administrator, you can configure the global settings that apply to all projects. The global settings include payload settings, mail server settings, API keys, listeners, Nexpose consoles, and Metasploit services. </p>
        <h2>Configuring Global Settings</h2>
        <p>Global settings define settings that all projects use. You can access <a name="kanchor10"></a>global settings from the Administration menu. From the global settings, you can set the payload type for the modules and enable access to the diagnostic console through a web browser. Additionally, from global settings, you can create API keys, post-exploitation macros, persistent listeners, and Nexpose Consoles.</p>
        <h3>Setting HTTP Payloads</h3>
        <p>If you want <span class="VariablesProductName">Metasploit Pro</span> to communicate over TCP without encryption, you can set it to use <a name="kanchor11"></a>HTTP payloads. HTTP payloads are useful for client-side attacks or social engineering campaigns. They are the most reliable way to communicate with a target machine, but they do not provide any level of stealth. </p>
        <p>
For example, if a victim is behind a proxy and has to use the proxy to connect back to the attacking machine, you should enable the HTTP payload option. This ensures that Metasploit can create a connection between attacker and the victim.
</p>
        <ol data-mc-continue="true">
            <li value="1">Choose <b class="UISelection">Administration &gt; Global Settings </b>from the Main menu. <br /><br /><img src="../Resources/Images/administration/admin-global-settings-menu_502x70.png" title="Administration Menu" alt="Administration Menu" style="width: 502;height: 70;" /></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="2">
Select <b class="UISelection">payload_prefer_http</b> from the Global Settings.
<br /><br /><img src="../Resources/Images/administration/admin-setting-http-payloads_425x98.png" title="HTTP Payload Setting" alt="HTTP Payload Setting" style="width: 425;height: 98;" /></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="3">Update the settings. </li>
        </ol>
        <h3>Setting HTTPS Payloads</h3>
        <p>By default, Metasploit communicates over a standard TCP connection with SSL. <a name="kanchor12"></a>HTTPS payloads provide you with some level of stealth, but the payloads may not be as reliable as HTTP payloads.</p>
        <p> This configuration generally works well in most cases, but if the target is behind a proxy, the proxy may not be able to handle the SSL connection properly. If you know that the target is behind a proxy, you should not use HTTPS payloads. You should use HTTP payloads instead. </p>
        <p>
If you want <span class="VariablesProductName">Metasploit Pro</span> to always try to encrypt the HTTP connection, you can set it to use HTTPS based payloads. </p>
        <ol start="1">
            <li value="1">From within a project, choose <b class="UISelection">Administration &gt; Global Settings</b> from the main menu. <br /><br /><img src="../Resources/Images/administration/admin-global-settings-menu_502x70.png" title="Administration Menu" alt="Administration Menu" style="width: 502;height: 70;" /></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="2">
Choose <b class="UISelection">payload_prefer_https</b> from the Global Settings. <br /><br /><img src="../Resources/Images/administration/admin-setting-https-payloads_443x101.png" title="HTTPS Payload Setting" alt="HTTPS Payload Setting" style="width: 443;height: 101;"></img></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="3">Update the settings.</li>
        </ol>
        <h3>Enabling Automatic Updates</h3>
        <p>If you want an alert to appear when an update is available, you must enable the <a name="kanchor13"></a>automatic update option. When an update is available for you to download, a small notification icon will appear in the Main menu bar. </p>
        <p>By default, this option is enabled. </p>
        <ol start="1">
            <li value="1">
Choose <b class="UISelection">Administration &gt; Global Settings</b> from the main menu.
<br /><br /><img src="../Resources/Images/administration/admin-global-settings-menu_497x69.png" title="Global Settings Menu" alt="Global Settings Menu" style="width: 497;height: 69;" /></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="2">Choose <b class="UISelection">automatically_check_updates</b> from the Global Settings. <br /><br /><img src="../Resources/Images/administration/admin-enable-automatic-updates_487x98.png" title="Enable Automatic Updates" alt="Enable Automatic Updates" style="width: 487;height: 98;" /></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="3">Update the settings. </li>
        </ol>
        <h3> Disabling Automatic Updates</h3>
        <p>If you want do not want an alert to appear when an update is available, you must disable the <a name="kanchor14"></a>automatic update option. 
</p>
        <ol>
            <li value="1">Choose <b class="UISelection">Administration &gt; Global Settings</b> from the Main menu.<br /><br /><img src="../Resources/Images/administration/admin-global-settings-menu_511x71.png" alt="Global Settings Menu" style="width: 511;height: 71;" /></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="2">Deselect         <b class="UISelection">automatically_check_updates</b> from the Global Settings.<br /><br /><img src="../Resources/Images/administration/admin-deselect-auto-updates_512x139.png" alt="Deselect Automatic Updates from the Global Settings" style="width: 512;height: 139;" /></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="3"> 
Update the settings. </li>
        </ol>
        <h3>Automatically Enabling an HTTP Proxy for Updates</h3>
        <ol data-mc-continue="false">
            <li value="1">Choose <b class="UISelection">Administration &gt; Global Settings</b> from the Main menu.
<br /><br /><img src="../Resources/Images/administration/admin-global-settings-menu_505x70.png" title="Global Settings Menu" alt="Global Settings Menu" style="width: 505;height: 70;" /></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="2">Choose <b class="UISelection">use_http_proxy</b> from the Global Settings. <br /><br /><img src="../Resources/Images/administration/admin-use-http-proxy-option_498x129.png" title="Use proxy option" alt="Use proxy option" style="width: 498;height: 129;" /></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="3">
Update the settings. The settings that you define automatically fill the HTTP proxy server settings when you perform an update. </li>
        </ol>
        <h2><a name="Defining"></a>Defining SMTP Settings for a Mail Server</h2>
        <p>To send e-mail from <span class="VariablesProductName">Metasploit Pro</span>, you must configure the <a name="kanchor15"></a>SMTP settings for the mail server that you want to use. The tasks that utilize the SMTP settings are social engineering and reporting. For example, if you want to e-mail a report after you generate a report, you need to configure the SMTP settings. </p>
        <p> 
The sender for reports is <code class="usertype">reports@pro.metasploit.com</code>. You may want to add this e-mail address to the safe sender list to ensure that these e-mails are not moved to the Junk Mail folder. </p>
        <p>
In order to utilize e-mail capabilities, you must have access to a local mail server or a web mail server. You need the address and port that the mail server runs on, the domain name that hosts the mail service, and the credentials for the mail server. 
</p>
        <ol>
            <li value="1">Choose <b class="UISelection">Administration &gt; Global Settings</b> from the main menu.
<br /><br /><img src="../Resources/Images/administration/admin-global-settings-menu_502x70.png" alt="Global Settings Menu" style="width: 502;height: 70;" /></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="2">Under SMTP Settings, define the following fields: <br /><br /><img src="../Resources/Images/administration/admin-smtp-settings_157x154.png" style="width: 157;height: 154;" /></li>
        </ol>
        <ul>
            <li value="1"><b>Address</b> - The address to the remote mail server. For example, use 127.0.0.1 or localhost if the mail server runs on your local machine.
</li>
            <li value="2"><b>Port</b> - The port that the mail server uses. The default port is 25. </li>
            <li value="3"><b>Domain</b> - The fully qualified domain name that hosts the mail server. For example, use sitename.com. 
</li>
            <li value="4"><b>User Name</b> - The user name that the system uses to authenticate the mail server.
</li>
            <li value="5"><b>Password</b> - The password that the system uses to authenticate the mail server.
</li>
            <li value="6"><b>Authentication</b> - The authentication type that the mail server uses. Choose from <b class="UISelection">plain</b>, <b class="UISelection">login</b>, and <b class="UISelection">cram_md5</b>. 
</li>
        </ul>
        <ol start="3">
            <li value="3">Click the <b class="UISelection">Update </b>button.</li>
        </ol>
        <h2>Removing Metasploit</h2>
        <p>When you uninstall <span class="VariablesProductName">Metasploit Pro</span>, you remove the Metasploit components and modules from the system and delete the data stored within the projects. If you remove <span class="VariablesProductName">Metasploit Pro</span>, you will no longer be able to access or view any information that projects contain. Therefore, before you remove <span class="VariablesProductName">Metasploit Pro</span> and its components, you should export any data that you may want to save, such as the reports and host data that you want to save. </p>
        <h3>Removing Metasploit from Windows Systems</h3>
        <ol start="1">
            <li value="1">Navigate to <b class="UISelection">Start &gt; All Programs &gt; Metasploit</b>. 
</li>
            <li value="2">Click <b class="UISelection">Uninstall Metasploit</b>. <br /><br /><img src="../Resources/Images/administration/admin-uninstall-metasploit_166x125.png" alt="Windows Start Menu" style="width: 166;height: 125;"></img></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="3">Click <b class="UISelection">Yes </b>to confirm that you want to delete all saved project data.</li>
            <li value="4"> 
Click <b class="UISelection">OK </b>when the process completes. </li>
        </ol>
        <h3>Removing Metasploit from Linux Systems</h3>
        <ol>
            <li value="1">Open the command line terminal.
</li>
            <li value="2">Use the cd command to change the directory path to the Metasploit directory. If you installed Metasploit in the default directory, type the following: 
user@computer:</li>
        </ol>
        <p class="indentCode">$ cd ~/opt/metasploit-4.4.0

</p>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>Replace the version number with your version number. </p>
        <ol data-mc-continue="true">
            <li value="3">
Type the following to stop all Metasploit services and press <b class="UISelection">Enter</b>: 
</li>
        </ol>
        <p class="indentCode">$./ctlscript.sh.stop
</p>
        <ol data-mc-continue="true">
            <li value="4">Type the following to uninstall Metasploit and all its components</li>
        </ol>
        <p class="indentCode">$ ./uninstall
</p>
        <ol data-mc-continue="true">
            <li value="5">
Click <b class="UISelection">Yes </b>to confirm that you want to uninstall <span class="VariablesProductName">Metasploit Pro</span> components and modules. </li>
            <li value="6">
Click <b class="UISelection">Yes </b>to confirm that you want to delete the data saved in the projects. If you click No, the <code>$INSTALLER_ROOT/apps</code> directory remains intact, and you can continue to access the Metasploit data stored in this directory. </li>
        </ol>
        <h2>Managing License Keys</h2>
        <p>A license key defines the commercial edition and the registered owner of <span class="VariablesProductName">Metasploit Pro</span>. <span class="VariablesProductName">Metasploit Pro</span> uses the <a name="kanchor16"></a>license key to identify the number of days that remain on the license and the number of users that the license key allows. </p>
        <p>Metasploit licenses are perpetual licenses, which enable you to use the application indefinitely. However, the license itself expires every year. When the license expires, you must renew the license if you want to continue to receive updates for Metasploit. You can still run Metasploit, but you can only run the last version that was released before your license key expired. </p>
        <p>To access the license key area, select <b class="UISelection">Administration &gt;&#160;Software&#160;License </b>from the Global Menu. </p>
        <h3>Getting a License Key</h3>
        <p>If you purchased <span class="VariablesProductName">Metasploit Pro</span> and have not received your <a name="kanchor17"></a>license key from Rapid7, you can e-mail the sales team at <a href="mailto:sales@rapid7.com?subject=Reqest License Key" target="_blank">sales@rapid7.com</a>. </p>
        <p>Otherwise, you can select <b class="UISelection">Administration &gt;&#160;Software License</b> from the Main menu, and click on the <b class="UISelection">Get Product Key</b> button. </p>
        <p>
            <img src="../Resources/Images/administration/admin-software-license-menu_542x76.png" title="Software License Menu" alt="Software License Menu" style="width: 542;height: 76;" />
        </p>
        <p>When the license key request page appears, choose whether you want to trial Metasploit Pro or obtain a Metasploit Community license key. </p>
        <p>
            <img src="../Resources/Images/administration/admin-choose-metasploit-key-type-request_300x299.png" title="Metasploit License Key Request Page" alt="Metasploit License Key Request Page" style="width: 300;height: 299;" />
        </p>
        <h3>Activating a License Key for the First Time<a name="kanchor18"></a></h3>
        <ol>
            <li value="1">Open a browser and go to<code class="usertype"> https://localhost:3790</code> if you installed <span class="VariablesProductName">Metasploit Pro</span> on your local system or enter <code class="usertype">https://&lt;IP address&gt;:3790</code> if you installed <span class="VariablesProductName">Metasploit Pro</span> on a remote machine. 
</li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>3790 is the default port that the Metasploit service uses. If you assigned the Metasploit service to a different port during the installation process, use that port instead. 
</p>
        <ol start="2" data-mc-continue="true">
            <li value="2">If you receive a warning about the trustworthiness of the security certificate, select that you understand the risks and want to continue to the website. The wording that the warning displays depends on the browser that you use. <br /><br /><img src="../Resources/Images/administration/admin-ssl-warning_370x148.png" title="Security Certificate Warning" alt="Security Certificate Warning" style="width: 370;height: 148;" /></li>
        </ol>
        <ol start="2" data-mc-continue="true">
            <li value="3">When the web interface for <span class="VariablesProductName">Metasploit Pro</span> appears, the New User Setup page displays if this is a first time activation. Follow the onscreen instructions to create a user account for <span class="VariablesProductName">Metasploit Pro</span>. Save the user account information so that you can use it later to log in to <span class="VariablesProductName">Metasploit Pro</span>.
</li>
            <li value="4">After you create a user account, the Activate Metasploit page appears. Enter the <a name="kanchor19"></a>license key that you received from Rapid7 in the Product Key field. </li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>
If you need to use an HTTP proxy to reach the Internet, you can select the HTTP proxy option and provide the information for the HTTP proxy server that you want to use.
</p>
        <ol data-mc-continue="true">
            <li value="5">Click the<b class="UISelection"> Activate License</b> button.
After you activate the license key, the Projects page appears. </li>
        </ol>
        <h3>Updating a License Key</h3>
        <p>If the <a name="kanchor20"></a>license key for <span class="VariablesProductName">Metasploit Pro</span> expires or if you need to enter a product key for a different Metasploit product, you can change the license key that the system currently uses.</p>
        <ol start="1">
            <li value="1">Choose <b class="UISelection">Administration &gt; Software Licenses</b> from the main menu.<br /><br /><img src="../Resources/Images/administration/admin-software-license-menu_443x62.png" alt="Software License Menu" style="width: 443;height: 62;" /></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="2">Enter the license key in the <b class="UISelection">Product Key</b> field.<br /><br /><img src="../Resources/Images/administration/admin-enter-license-key_423x250.png" alt="License Key Field" style="width: 423;height: 250;" /></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="3">Activate the license.</li>
        </ol>
        <h2>Reverting to the Previous License Key</h2>
        <p>You can revert to the previous <a name="kanchor21"></a>license key if <span class="VariablesProductName">Metasploit Pro</span> detects that a previous license key exists on the system. Use license key reversion to switch between different versions of Metasploit products. For example, if you install a trial version of a Metasploit product, use license key reversion to switch back to the full version.</p>
        <ol start="1">
            <li value="1">Choose <b class="UISelection">Administration &gt; Software Licenses</b> from the Main menu.<br /><br /><img src="../Resources/Images/administration/admin-software-license-menu_492x69.png" alt="Administration Menu" style="width: 492;height: 69;" /></li>
        </ol>
        <ol data-mc-continue="true">
            <li value="2">If the system detects that there is a previous license key, you will see the Revert to Previous License area. Click <b class="UISelection">Revert License</b>. The License Details window appears after the system successfully reverts to the previous license key. <br /><br /><img src="../Resources/Images/administration/admin-revert-license-key_446x209.png" alt="Revert License Key " style="width: 446;height: 209;" /></li>
        </ol>
        <h2>Services</h2>
        <p>If you attempt to launch <span class="VariablesProductName">Metasploit Pro</span>, and you receive the “Metasploit is initializing message," you may need to restart the Metasploit services. This error typically occurs after you install or update <span class="VariablesProductName">Metasploit Pro</span>. </p>
        <p>
If you have recently installed <span class="VariablesProductName">Metasploit Pro</span>, you may need to wait a few minutes for it to load after the installation completes. If it has been more than fifteen minutes since the installation finished, you should restart the Metasploit services. </p>
        <p>
If you recently updated <span class="VariablesProductName">Metasploit Pro</span>, the services were automatically restarted after the update completed. You should wait a few minutes to see if the Metasploit services start up again. If they do not, you should manually restart the services. </p>
        <h3><a name="kanchor22"></a>Restarting Metasploit Services on Windows</h3>
        <p>To restart the Metasploit service on Windows systems, you must stop the Metasploit services before you can start them again. When you stop and start the Metasploit services, a few command line windows appear. These prompts run a control script that stop and start all Metasploit services, which include PostgreSQL, thin, and prosvc. </p>
        <p>
This is a two step process.</p>
        <ol>
            <li value="1">
Choose <b class="UISelection">Start &gt; Programs &gt; Metasploit &gt; Services &gt; Stop Services</b>. </li>
        </ol>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>
If the system prompts you to allow the program to make changes to the computer, click Yes. 
</p>
        <ol data-mc-continue="true">
            <li value="2">Choose <b class="UISelection">Start &gt; Programs &gt; Metasploit &gt; Services &gt; Start Services</b>. </li>
        </ol>
        <h3>Restarting Metasploit Services on Linux <a name="kanchor23"></a></h3>
        <ol>
            <li value="1">Open the command line terminal.
</li>
            <li value="2">Use the <code>cd </code>command to change the directory path to the Metasploit directory location. If you installed Metasploit in the default directory, type the following: 
</li>
        </ol>
        <p class="indentCode">$ cd /opt/metasploit-4.4.0
</p>
        <p class="NoteList" data-mc-autonum="&lt;b&gt;Note:&lt;/b&gt; &#160;"><span class="autonumber"><span><b>Note:</b> &#160;</span></span>
Replace the version number with your Metasploit version.</p>
        <ol data-mc-continue="true">
            <li value="3"> 
Enter the following and press <b class="UISelection">Enter</b>:</li>
        </ol>
        <p class="indentCode">$ sudo bash ctlscript.sh restart </p>
        <ol data-mc-continue="true">
            <li value="4">

Enter your sudo password when the system prompts you for it. 
</li>
        </ol>
        <p class="BodyAfterList">After you enter the sudo password, the system stops and restarts all services associated with Metasploit. This includes prosvc, thin, and PostgreSQL.
After the system restarts the services, wait a few minutes before you access the Metasploit Web Interface. </p>
    </body>
</html>